<?php

if (!defined('ABSPATH')) exit;

//---- 管理画面にプラグインページを設定 ----//
if (!function_exists('amJL_add_main_setting_page')){
    function amJL_add_main_setting_page(){
        //メインメニュー
        add_menu_page(
            'auto making JSON-LD',
            '構造化データの設定',
            'manage_options',
            'amJL_setting',
            'amJL_plugin_detail_page',
            'dashicons-admin-generic'
        );

        //---[ plugin detail ]---//
        add_submenu_page(
            'amJL_setting',
            'プラグインの詳細',
            'プラグインの詳細',
            'administrator',
            'amJL_setting',
            'amJL_plugin_detail_page'
        );
        
        //---[ Certification ]---//
        add_submenu_page(
            'amJL_setting',
            'プラグイン認証',
            'プラグイン認証',
            'administrator',
            'certifications',
            'amJL_certification'
        );
    }
}
add_action('admin_menu', 'amJL_add_main_setting_page');